<?php

if (!defined("WHMCS"))
    die("This file cannot be accessed directly");

global $db_host,$db_username,$db_password,$db_name;
        //Connect to billing database

$conn = mysqli_connect($db_host,$db_username,$db_password,$db_name);
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

$reportdata["title"] = "Overdue Invoices";
$reportdata["description"] = "This report provides overdue Invoices on the selected date range.";

$reportdata["headertext"] = '<form method="post" action="reports.php?report=Overdue_Invoices">Date Range: <input type="text" name="datefrom" value="'.$datefrom.'" class="datepick" /> to <input type="text" name="dateto" value="'.$dateto.'" class="datepick" /> (Leave blank for all time) <input type="submit" value="Generate Report" /></form>';

if ((strlen($_REQUEST["datefrom"]) === 10) AND ((strlen($_REQUEST["dateto"]) === 10))){ 
	$datefrom = DateTime::createFromFormat('d/m/Y', $_REQUEST["datefrom"])->format('Y-m-d');
	$dateto = DateTime::createFromFormat('d/m/Y', $_REQUEST["dateto"])->format('Y-m-d');
	$query = "SELECT c.id as clientid, concat(c.firstname,' ', c.lastname) as clientname, c.companyname as companyname,  i.id as invid, i.invoicenum as invoicenum, i.date as invoicedate, i.total as amount FROM tblinvoices i inner join tblclients c on c.id = i.userid where i.status = 'Unpaid' and i.duedate < NOW() and i.date >= '" . $datefrom . "' and i.date < '" . $dateto . "' order by c.id;";
}else if ((strlen($_REQUEST["datefrom"]) === 0) AND ((strlen($_REQUEST["dateto"]) === 0))){
	$query = "SELECT c.id as clientid, concat(c.firstname,' ', c.lastname) as clientname, c.companyname as companyname,  i.id as invid, i.invoicenum as invoicenum, i.date as invoicedate, i.total as amount FROM tblinvoices i inner join tblclients c on c.id = i.userid where i.status = 'Unpaid' and i.duedate < NOW() order by c.id;";
}else{
	$query = "";
}

$result = mysqli_query($conn,$query); 

$reportdata["tableheadings"] = array("Client ID", "Client Name", "Client Company", "Invoice Number", "Invoice Date", "Invoice Total");

$sum = 0;
$weburl = "http://" . $_SERVER["HTTP_HOST"];

while($data = mysqli_fetch_array($result)) {
	$clientid = '<a href="' . $weburl . '/admin/clientssummary.php?userid=' . $data["clientid"] . '">' . $data["clientid"] . '</a>';
	$clientname = '<a href="' . $weburl . '/admin/clientssummary.php?userid=' . $data["clientid"] . '">' . $data["clientname"] . '</a>';
	$companyname = '<a href="' . $weburl . '/admin/clientssummary.php?userid=' . $data["clientid"] . '">' . $data["companyname"] . '</a>';
	$invoicenum = '<a href="' . $weburl . '/admin/invoices.php?action=edit&id=' . $data["invid"] . '">' . $data["invoicenum"] . '</a>';
	$invoicedate = $data["invoicedate"];
	$amount = $data["amount"];
	$sum = $sum + $data["amount"];
	$reportdata["tablevalues"][] = array($clientid, $clientname, $companyname, $invoicenum, $invoicedate, $amount);
}

$reportdata["tablevalues"][] = array("=======", "=======", "=======", "=======", "=======", "=======");
$reportdata["tablevalues"][] = array("---", "---", "---", "---", "TOTAL", $sum);


?>
